#!/bin/bash

if [ -z $1 ]; then
	echo "usage: $0 <surveycount>"
	exit 1
fi;
tgt="test.th"

if [[ ! -d results ]]; then mkdir results; fi
if [[ ! -d out ]]; then mkdir out; fi
cd out

echo "survey test" > $tgt

for n in `seq 1 $1`;
        do

# copy scrap file
cp ../scrap.th2 "$n-$tgt.th2"
		
equate=""
join=""
if [ $n -gt 1 ]; then
	m=$(expr $n - 1)
	equate="equate 1@$n 6@$m"
	join_p="join scrap@$n scrap@$m"
	join_e="join extended@$n extended@$m"
fi

VAR=$(cat <<END_HEREDOC
survey $n
  input $n-$tgt.th2

  centerline
    data normal from to length gradient compass
    1 2   2 -10 180
    2 3   3 15  90
    3 4   6 0  0
    4 5   2 -10 90
    5 6   4 0 180
  endcenterline

endsurvey
$equate
$join_p
$join_e

map $n-Plan
    scrap@$n
endmap

map $n-Laengs
    extended@$n
endmap

END_HEREDOC
)

echo "$VAR" >> $tgt


done

echo "endsurvey" >> $tgt

cd -


